## Compilatron addon

Adds a compilatron that walks around the spawn area; adapted from redmew code

### Dependencies

utils.event
utils.global
utils.task
utils.token
config.compilatron

### Functions

Public.add_compilatron(entity, name) | This will add a compilatron to the global and start his message cycle
Public.spawn_compilatron(surface, location) | This spawns a new compilatron on a surface with the given location tag (not a position)

### Dependencies

# utils.event
# utils.global
# utils.task
# utils.token
# config.compilatron

### Functions

# Public.add_compilatron(entity, name)

  This will add a compilatron to the global and start his message cycle

  Parameters:
  - entity : (LuaEntity) the compilatron entity that moves around
  - name : (string) the name of the location that the compilatron is at
# Public.spawn_compilatron(surface, location)

  This spawns a new compilatron on a surface with the given location tag (not a position)

  Parameters:
  - surface : (LuaSurface) the surface to spawn the compilatron on
  - location : (string) the location tag that is in the config file